import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:xh_framework/com/xh/base/xh_widget.dart';

class Bean {
  String name;
  int age;

  Bean(this.name, this.age);
}

//xh_widget2
class TextWidget extends XHStatefulWidget<Bean> {
  TextWidget({onTap, data}) : super(onTap: onTap, data: data);

  @override
  State<XHStatefulWidget> createState() {
    return TextWidgetState();
  }
}

class TextWidgetState extends XHStatefulWidgetState<TextWidget,Bean> {
  @override
  Widget build(BuildContext context) {
    return Container(
        child: InkWell(
            child: Text(widget.data.name),
            onTap: () => onChildTap(1, widget.data.name)));
  }
}

class TextWidget2 extends XHStatelessWidget<Bean> {
  TextWidget2({onTap, data}) : super(onTap: onTap, data: data);

  @override
  Widget build(BuildContext context) {
    return Container(
        child: InkWell(
            child: Text(data.name), onTap: () => onChildTap(1, data.name)));
  }
}
